#
# spec file for package supermin
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           supermin
Version:        5.1.18
Release:        lp150.1.13
%{ocaml_preserve_bytecode}
Url:            http://libguestfs.org/
Summary:        Bootstrapping tool for creating supermin appliances
License:        GPL-3.0+
Group:          System/Filesystems
Provides:       febootstrap
Requires:       distribution-release
Requires:       xmlstarlet
Requires:       zypper
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Source0:        supermin-%{version}.tar.xz
# Pending upstream review
Patch0:         suse_release.patch
%if "%{?_ignore_exclusive_arch}" == ""
ExclusiveArch:  x86_64 ppc64 ppc64le s390x aarch64
%endif

BuildRequires:  autoconf
BuildRequires:  automake
BuildRequires:  e2fsprogs
BuildRequires:  glibc-devel-static
BuildRequires:  gzip
BuildRequires:  ncurses-devel
BuildRequires:  ocaml
BuildRequires:  ocaml-findlib
BuildRequires:  ocaml-rpm-macros >= 4.02.1
BuildRequires:  pkg-config
BuildRequires:  xz
BuildRequires:  xz-devel
BuildRequires:  zlib-devel
BuildRequires:  pkgconfig(com_err)
BuildRequires:  pkgconfig(ext2fs)
BuildRequires:  pkgconfig(rpm)

%description
supermin is a tool for building supermin appliances. These are tiny
appliances (similar to virtual machines), usually around 100KB in size,
which get fully instantiated on-the-fly in a fraction of a second when
you need to boot one of them.

%prep
%setup -q
%patch0 -p1

%build
export ZYPPER=zypper
export ZYPPER=/usr/bin/zypper
touch INSTALL NEWS AUTHORS ChangeLog
autoreconf -fi
%configure --help
%configure
make \
	%{?_smp_mflags}

%install
make install DESTDIR=$RPM_BUILD_ROOT
find $RPM_BUILD_ROOT -ls

%files
%defattr (-,root,root)
%doc README
%doc TODO
/usr/bin/*
%{_mandir}/*/*

%changelog
* Thu Aug 31 2017 cbosdonnat@suse.com
- Distro detection: also use ID_LIKE to catch suse distros
  add patch: suse_release.patch
* Thu Jul 13 2017 cbosdonnat@suse.com
- Update to version 5.1.18
* Tue May 30 2017 olaf@aepfle.de
- Update to version 5.1.17
  remove 0001-add_simple_handling_of_os-release.patch
  remove 0002-use_os-release_to_detect_the_distro.patch
  remove 0003-tests_use__etc_os-release_in_test-harder.patch
* Thu Sep  8 2016 cbosdonnat@suse.com
- Remove use of SuSE-release and use os-release instead. (bsc#997936)
  0001-add_simple_handling_of_os-release.patch
  0002-use_os-release_to_detect_the_distro.patch
  0003-tests_use__etc_os-release_in_test-harder.patch
* Thu May 26 2016 cbosdonnat@suse.com
- fate#316274
* Wed May 25 2016 olaf@aepfle.de
- Preserve bytecode
* Fri Oct 23 2015 olaf@aepfle.de
- Update to version 5.1.13
* Mon Oct 20 2014 ohering@suse.com
- Update to version 5.1.10
* Tue May 13 2014 ohering@suse.de
- Update to version 5.1.8
* Mon Aug 19 2013 ohering@suse.de
- Update to version 4.1.3
* Tue Jun  4 2013 ohering@suse.de
- zypp: Only compile zypper support if OCaml inifiles module is found.
- zypp: Trailing whitespace.
- Handle --packager-config in zypp_rpm
- helper: Add a note that cpio might not be able to read -f cpio files.
- helper: Add megaraid drivers to the initrd.
* Tue Apr  9 2013 ohering@suse.de
- add changes to support zypper
* Sat Mar  9 2013 ohering@suse.de
- initial package version 4.1.1
